Back to reference

API Reference

Get prospecting job status

Returns the current public status for one prospecting job through the integrations API.

GET/v1/accounts/{accountGroupId}/prospecting/{jobId}

Integration notes

Required API permission

prospecting:read.

Prerequisites

integration_api_key, account_group_access.

Parameters

accountGroupIdPath

Type: string

Account group ID that scopes the request.

Required

jobIdPath

Type: string

Prospecting job ID returned when the import was started.

Required

Request body

This endpoint does not define a request body.

Responses

200

Job status

Schema: ProspectingJobStatusSuccessResponse

400

Request validation failed

Schema: ValidationErrorResponse

401

Invalid or missing API key

Schema: ErrorResponse

403

Missing required permission

Schema: ErrorResponse

404

Resource not found

Schema: ErrorResponse

429

Rate limit exceeded

Schema: ErrorResponse

500

Internal server error

Schema: ErrorResponse

Response examples

200 Example JSONProspectingJobStatusSuccessResponse
{
    "success": true,
    "data": {
        "jobId": "507f1f77bcf86cd799439011",
        "type": "prospecting",
        "status": "queued",
        "createdAt": "2026-04-28T15:30:00.000Z",
        "updatedAt": "2026-04-28T15:30:00.000Z",
        "stages": {
            "import": {
                "status": "queued",
                "progress": 0.82
            },
            "enrichment": {
                "status": "queued",
                "progress": 0.82
            }
        },
        "error": {
            "code": "string",
            "message": "Thanks for the context. I can send over details this afternoon."
        }
    },
    "error": null,
    "traceId": "507f1f77bcf86cd799439011"
}
400 Example JSONValidationErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "VALIDATION_ERROR",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}
401 Example JSONErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "string",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}
403 Example JSONErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "string",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}
404 Example JSONErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "string",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}
429 Example JSONErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "string",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}
500 Example JSONErrorResponse
{
    "success": false,
    "data": null,
    "error": {
        "code": "string",
        "message": "Thanks for the context. I can send over details this afternoon.",
        "details": "string"
    },
    "traceId": "507f1f77bcf86cd799439011"
}